package gotowe.p01_interakcja.konsola;

import java.util.Scanner;

public class C_Skaner1 {
    public static void main(String[] args) {
        // Tworzymy obiekt klasy Scanner. Ten skaner będzie czytał dane ze standardowego wejścia.
        Scanner sc = new Scanner(System.in);

        System.out.println("Napisz linię tekstu:");
        String linia = sc.nextLine();
        System.out.println("Napisałeś: " + linia);

        System.out.println("Wpisz liczbę całkowitą:");
        int x = sc.nextInt();

        System.out.println("Wpisz liczbę z przecinkiem (!):");
        double d = sc.nextDouble();

        System.out.println("Liczby: " +x + " , " + d);

        System.out.print("Wpisz dwa słowa: ");
        String slowo1 = sc.next();
        String slowo2 = sc.next();

        System.out.println("Pierwsze: " + slowo1);
        System.out.println("Drugie  : " + slowo2);

        // Gdy teraz wczytam "linię" co tam będzie? Reszta linii wpisana za tymi ↑ dwoma słowami
        linia = sc.nextLine();
        System.out.println("Linia zawiera: " + linia);

        System.out.println("KONIEC");
    }
}
